%global realname getopt
%global upstream jcomellas


Name:		erlang-%{realname}
Version:	1.0.2
Release:	%mkrel 2
BuildArch:	noarch
Summary:	Erlang module to parse command line arguments using the GNU getopt syntax
Group:		Development/Erlang
License:	BSD
URL:		http://github.com/%{upstream}/%{realname}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:	https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
Command-line parsing module that uses a syntax similar to that of GNU getopt.


%prep
%autosetup -p 1 -n %{realname}-%{version}
chmod 0644 examples/*.escript


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license LICENSE.txt
%doc README.md examples/
%{erlang_appdir}/


%changelog
* Sun Dec 20 2020 wally <wally> 1.0.2-2.mga8
+ Revision: 1661476
- rebuild with new iurt adding '--target noarch' to rpmbuild
- revert r1661327

* Sat Dec 19 2020 wally <wally> 1.0.2-1.mga8
+ Revision: 1661282
- new version 1.0.2
- make noarch pkg

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1511349
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 1.0.1-1.mga7
+ Revision: 1296395
- build with tests

* Sat Sep 22 2018 wally <wally> 1.0.1-0.mga7
+ Revision: 1295972
- new version 1.0.1
- add fixes from upstream
- bootstrap without tests

* Tue Jun 28 2016 pterjan <pterjan> 0.8.2-6.mga6
+ Revision: 1038024
- Rebuild to fix non-bootstrap rebar

* Thu Jun 16 2016 tv <tv> 0.8.2-5.mga6
+ Revision: 1021684
- use %%license
- use erlan macros

* Fri May 06 2016 neoclust <neoclust> 0.8.2-4.mga6
+ Revision: 1009755
- Rebuild post boostrap
- imported package erlang-getopt

